## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate unic-langid-impl

Name:           rust-unic-langid-impl
Version:        0.9.1
Release:        %autorelease
Summary:        API for managing Unicode Language Identifiers

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/unic-langid-impl
Source0:        %{crates_source}
# https://github.com/zbraniecki/unic-locale/issues/69
Source1:        https://github.com/zbraniecki/unic-locale/raw/52b3ed3/LICENSE-APACHE
Source2:        https://github.com/zbraniecki/unic-locale/raw/52b3ed3/LICENSE-MIT
# Manually created patch for downstream crate metadata changes
# * add licenses to included files
Patch:          unic-langid-impl-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
API for managing Unicode Language Identifiers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+likelysubtags-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+likelysubtags-devel %{_description}

This package contains library source intended for building other packages which
use the "likelysubtags" feature of the "%{crate}" crate.

%files       -n %{name}+likelysubtags-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test for which required files are not included in published crates
%cargo_test -- -- --exact --skip parse
%endif

%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1; Fixes RHBZ#2136326

* Wed Mar 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-9
- Restore accidentally dropped feature subpackages

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-8
- Regenerate with rust2rpm v24

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-6
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 02 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.9.0-2
- Patch disabling binary installation

* Sun Oct 03 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.9.0-1
- Initial package

